<!DOCTYPE HTML>
<html lang="en">
<head>
<meta http-equiv="content-type" content="text/html;charset=utf-8" />
<title>e1a</title>
<script src="../../../../../scripts/jquery-1.12.0.min.js" type="text/javascript"></script>
<script src="../../../../../scripts/bootstrap.min.js" type="text/javascript"></script>
<script src="../../../../../scripts/clipboard.min.js" type="text/javascript"></script>
<script src="../../../../../scripts/main.js" type="text/javascript"></script>
<link rel="stylesheet" href="../../../../../styles/bootstrap/Default.css" type="text/css">
<link rel="stylesheet" href="../../../../../styles/main.css" type="text/css">
</head>
<body>
  <div class="page-wrap">
    <div class="header">
      <div class="row">
        <div class="col-xs-8">
          <ol class="breadcrumb">
            <li><a href="../../../../../startpage.html" data-mapping-enabled="true">Project</a></li>
            <li><a href="../../../../../Servers\Servers.html" data-mapping-enabled="true">Servers</a></li>
            <li><a href="../../../../../Servers\servidor_mio\servidor_mio.html" data-mapping-enabled="true">servidor mio</a></li>
            <li><a href="../../../../../Servers\servidor_mio\Databases\Databases.html" data-mapping-enabled="true">Databases</a></li>
            <li><a href="../../../../../Servers\servidor_mio\Databases\ejemplo2programacion\ejemplo2programacion.html" data-mapping-enabled="true">ejemplo2programacion</a></li>
            <li><a href="../../../../../Servers\servidor_mio\Databases\ejemplo2programacion\Procedures\Procedures.html" data-mapping-enabled="true">Procedures</a></li>
            <li class="active">e1a</li>
          </ol>
        </div>
        <div class="align-right col-xs-4">Ejemplo 2 - Unidad 3 - Modulo 3</div>
      </div>
      <div class="row">
        <div class="title col-xs-12">
          <div><img class="inline-middle image-large" src="../../../../../images/procedure.svg" title="e1a" />
            <h1 class="inline-middle">e1a</h1>
            <div class="dropdown actions-btn-wrap">
              <button type="button" class="btn btn-default actions-btn" data-toggle="dropdown"><span class="icon-actions icon-small actions-btn-span"></span></button>
              <ul class="dropdown-menu dropdown-menu-right">
                <li><a id="CollapseAll" href="#">Collapse All</a></li>
                <li><a id="ExpandAll" href="#">Expand All</a></li>
              </ul>
            </div>
          </div>
        </div>
      </div>
    </div>
    <div class="content">
      <div id="Description" class="panel panel-default">
        <div class="panel-heading">
          <span class="icon-bottom inline-middle expanded icon-small"></span>
          <span class="icon-right inline-middle collapsed icon-small" style="display:none"></span>
          <h2 class="inline-middle">Description</h2>
        </div>
        <div class="panel-collapse collapse in">
          <div class="panel-body">
            <span>Procedimiento almacenado que reciba un texto y un carácter. 
    Debe indicarte si ese carácter está en el texto. Utilizar LOCATE</span>
          </div>
        </div>
      </div>
      <div class="panel panel-default">
        <div class="panel-heading">
          <span class="icon-bottom inline-middle expanded icon-small"></span>
          <span class="icon-right inline-middle collapsed icon-small" style="display:none"></span>
          <h2 class="inline-middle">Properties</h2>
        </div>
        <div class="panel-collapse collapse in">
          <div class="panel-body">
            <table class="table table-hover table-bordered">
              <tbody>
                <tr>
                  <th>Name</th>
                  <th>Value</th>
                </tr>
                <tr>
                  <td>Created</td>
                  <td>11/02/2019 13:40:42</td>
                </tr>
                <tr>
                  <td>Last Modified</td>
                  <td>11/02/2019 13:40:42</td>
                </tr>
              </tbody>
            </table>
          </div>
        </div>
      </div>
      <div id="Parameters" class="panel panel-default">
        <div class="panel-heading">
          <span class="icon-bottom inline-middle expanded icon-small"></span>
          <span class="icon-right inline-middle collapsed icon-small" style="display:none"></span>
          <h2 class="inline-middle">Parameters</h2>
        </div>
        <div class="panel-collapse collapse in">
          <div class="panel-body">
            <table class="table table-hover table-bordered table-100">
              <tbody>
                <tr>
                  <th>Name</th>
                  <th>Data Type</th>
                  <th>Length</th>
                  <th>Precision</th>
                  <th>Scale</th>
                </tr>
                <tr>
                  <td>texto</td>
                  <td>VARCHAR</td>
                  <td>200</td>
                  <td></td>
                  <td></td>
                </tr>
                <tr>
                  <td>caracter</td>
                  <td>CHAR</td>
                  <td>1</td>
                  <td></td>
                  <td></td>
                </tr>
              </tbody>
            </table>
          </div>
        </div>
      </div>
      <div id="SqlScript" class="panel panel-default">
        <div class="panel-heading">
          <span class="icon-bottom inline-middle expanded icon-small"></span>
          <span class="icon-right inline-middle collapsed icon-small" style="display:none"></span>
          <h2 class="inline-middle">SQL Script</h2>
        </div>
        <div class="panel-collapse collapse in">
          <div class="panel-body">
            <div class="zero-clipboard">
              <span class="btn-clipboard btn-default panel-default" data-clipboard-action="copy" data-clipboard-target=".sqlscript" data-toggle="tooltip" title="Copy to clipboard">Copy</span></div><div class="sqlscript panel-default">
              <font color="buttontext">DELIMITER $$</font><br><font color="Blue">CREATE</font>&nbsp;<font color="Blue">DEFINER</font>&nbsp;<font color="buttontext">=</font>&nbsp;<font color="Teal">'root'</font><font color="buttontext">@'localhost'</font><br><font color="Blue">PROCEDURE</font>&nbsp;<font color="buttontext">e1a</font><font color="buttontext">(</font><font color="Blue">IN</font>&nbsp;<font color="buttontext">texto</font>&nbsp;<font color="Blue">VARCHAR</font><font color="buttontext">(</font><font color="Green">200</font><font color="buttontext">)</font><font color="buttontext">,</font>&nbsp;<font color="Blue">IN</font>&nbsp;<font color="buttontext">caracter</font>&nbsp;<font color="Blue">CHAR</font><font color="buttontext">(</font><font color="Green">1</font><font color="buttontext">)</font><font color="buttontext">)</font><br>&nbsp;&nbsp;<font color="Blue">COMMENT</font>&nbsp;<br><font color="Teal">'Procedimiento almacenado que reciba un texto y un carácter. 
    Debe indicarte si ese carácter está en el texto. Utilizar LOCATE'</font><br><font color="Blue">BEGIN</font><br>&nbsp;&nbsp;&nbsp;&nbsp;<font color="Blue">DECLARE</font>&nbsp;<font color="buttontext">resultado</font>&nbsp;<font color="Blue">varchar</font><font color="buttontext">(</font><font color="Green">30</font><font color="buttontext">)</font>&nbsp;<font color="Blue">DEFAULT</font>&nbsp;<font color="buttontext">"El caracter no esta"</font><font color="buttontext">;</font><br>&nbsp;&nbsp;&nbsp;&nbsp;<br>&nbsp;&nbsp;&nbsp;&nbsp;<font color="Gray">-- buscamos el caracter</font><br>&nbsp;&nbsp;&nbsp;&nbsp;<font color="Blue">IF</font><font color="buttontext">(</font><font color="Maroon">LOCATE</font><font color="buttontext">(</font><font color="buttontext">caracter</font><font color="buttontext">,</font><font color="buttontext">texto</font><font color="buttontext">)</font><font color="buttontext"><></font><font color="Green">0</font><font color="buttontext">)</font>&nbsp;<font color="Blue">THEN</font><br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<font color="Blue">SET</font>&nbsp;<font color="buttontext">resultado</font><font color="buttontext">=</font><font color="buttontext">"El caracter esta"</font><font color="buttontext">;</font><br>&nbsp;&nbsp;&nbsp;&nbsp;<font color="Blue">END</font>&nbsp;<font color="Blue">IF</font><font color="buttontext">;</font><br>&nbsp;&nbsp;&nbsp;&nbsp;<font color="Gray">-- mostramos el resultado</font><br>&nbsp;&nbsp;&nbsp;&nbsp;<font color="Blue">SELECT</font>&nbsp;<font color="buttontext">resultado</font><font color="buttontext">;</font><br>&nbsp;&nbsp;<font color="Blue">END</font><br><font color="buttontext">$$</font><br><font color="buttontext">DELIMITER ;</font></div>
          </div>
        </div>
      </div>
    </div>
  </div>
  <div class="footer">
    <div class="col-xs-4">Author:&nbsp;Ramon Abramo</div>
    <div class="col-xs-4 align-center">Alpe Formacion</div>
    <div class="col-xs-4 align-right">Created:&nbsp;13 febrero 2019</div>
  </div>
</body>
</html>